### Method

# Gio AppInfo get_id

#### Declaration

    const char*
    g_app_info_get_id (
      GAppInfo* appinfo
    )

#### Description

Gets the ID of an application. An id is a string that identifies the application. The exact format of the id is platform dependent. For instance, on Unix this is the desktop file id from the xdg menu specification.

Note that the returned ID may be `NULL`, depending on how the `appinfo` has been constructed.

#### Return value

Type: `const char*`

A string containing the application’s ID.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.